module AppCommand

    class Export < ::Convoy::ActionCommand::Base

        def execute

            begin

                @opts = command_options
                @args = arguments

                @site = Blufin::SiteResolver::validate_site(@args[0])
                @error_handler = Blufin::YmlErrorHandler.new(@site)

                opts_validate
                opts_routing

            rescue => e

                Blufin::Terminal::print_exception(e)

            end

        end

        def opts_validate

            Blufin::Routes::at_least_one_flag(@opts)
            Blufin::Routes::max_one_flag(@opts)

        end

        def opts_routing

            puts maven_blufin.inspect if @opts[:maven_blufin]
            puts maven_app.inspect if @opts[:maven_app]

        end

        def maven_blufin

            yml_maven = Blufin::YmlMavenValidator.new(@site, @error_handler)
            yml_maven.data_blufin

        end

        def maven_app

            yml_maven = Blufin::YmlMavenValidator.new(@site, @error_handler)
            yml_maven.data_app

        end

    end

end