module AppCommand

    class MySQLReset < ::Convoy::ActionCommand::Base

        def execute

            begin

                @opts = command_options
                @args = arguments

                @site = Blufin::SiteResolver::validate_site(@args[0])

                opts_validate
                opts_routing

            rescue => e

                Blufin::Terminal::print_exception(e)

            end

        end

        def opts_validate

        end

        def opts_routing

            reset_database

        end

        def reset_database

            App::MySQL::reset_full_mock_data(@site, @opts[:skip_confirm], @opts[:verbose])

        end

    end

end