-- Add db FKs
ALTER TABLE `db`
ADD CONSTRAINT `fk_1`
    FOREIGN KEY (`project_id`)
    REFERENCES `project` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

-- Add db_configuration_property FKs
ALTER TABLE `db_configuration_property`
ADD CONSTRAINT `fk_2`
    FOREIGN KEY (`db_configuration_id`)
    REFERENCES `db_configuration` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

-- Add profile FKs
ALTER TABLE `profile`
ADD CONSTRAINT `fk_3`
    FOREIGN KEY (`project_id`)
    REFERENCES `project` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

-- Add profile_api FKs
ALTER TABLE `profile_api`
ADD CONSTRAINT `fk_4`
    FOREIGN KEY (`profile_id`)
    REFERENCES `profile` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE,
ADD CONSTRAINT `fk_5`
    FOREIGN KEY (`common_db_id`)
    REFERENCES `db` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE,
ADD CONSTRAINT `fk_6`
    FOREIGN KEY (`common_db_configuration_id`)
    REFERENCES `db_configuration` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

-- Add profile_cron FKs
ALTER TABLE `profile_cron`
ADD CONSTRAINT `fk_7`
    FOREIGN KEY (`profile_id`)
    REFERENCES `profile` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

-- Add profile_worker FKs
ALTER TABLE `profile_worker`
ADD CONSTRAINT `fk_8`
    FOREIGN KEY (`profile_id`)
    REFERENCES `profile` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

-- Add project FKs
ALTER TABLE `project`
ADD CONSTRAINT `fk_9`
    FOREIGN KEY (`client_id`)
    REFERENCES `client` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;
