-- Create mock table
CREATE TABLE `mock` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `bool` TINYINT(1) NOT NULL DEFAULT '1',
  `mock_date` DATE NOT NULL DEFAULT '0000-01-01',
  `mock_datetime` DATETIME(3) NOT NULL DEFAULT '0000-01-01 00:00:00',
  `decimal` DECIMAL(13,2) NOT NULL,
  `enumeration` VARCHAR(9) NOT NULL COMMENT '[VALUE_ONE|VALUE_TWO]',
  `integer` INT NOT NULL,
  `integer_tiny` TINYINT NOT NULL,
  `integer_small` SMALLINT NOT NULL,
  `integer_big` BIGINT NOT NULL,
  `text` TEXT NOT NULL COMMENT 'This is a text field.',
  `text_long` LONGTEXT NOT NULL,
  `text_encrypted` TEXT NOT NULL,
  `varchar` VARCHAR(10) NULL,
  PRIMARY KEY (`id`),
  FULLTEXT `mock_mock_text_idx_fulltext` (`text`),
  FULLTEXT `mock_mock_text_long_idx_fulltext` (`text_long`),
  FULLTEXT `mock_mock_text_encrypted_idx_fulltext` (`text_encrypted`),
  INDEX `mock_mock_enumeration_idx` (`enumeration`),
  INDEX `mock_mock_integer_idx` (`integer`)
) ENGINE = InnoDB;

-- Create mock_nested_linked table
CREATE TABLE `mock_nested_linked` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `bool` TINYINT(1) NOT NULL DEFAULT '1',
  `mock_date` DATE NOT NULL DEFAULT '0000-01-01',
  `mock_datetime` DATETIME(3) NOT NULL DEFAULT '0000-01-01 00:00:00',
  `decimal` DECIMAL(13,2) NOT NULL,
  `integer` INT NOT NULL,
  `integer_tiny` TINYINT NOT NULL,
  `integer_small` SMALLINT NOT NULL,
  `integer_big` BIGINT NOT NULL,
  `text` TEXT NOT NULL,
  `text_long` LONGTEXT NOT NULL,
  `varchar` VARCHAR(10) NOT NULL,
  PRIMARY KEY (`id`),
  FULLTEXT `mock_mock_nested_linked_text_idx_fulltext` (`text`),
  FULLTEXT `mock_mock_nested_linked_text_long_idx_fulltext` (`text_long`)
) ENGINE = InnoDB;

-- Create mock_nested_multiple table
CREATE TABLE `mock_nested_multiple` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `bool` TINYINT(1) NOT NULL DEFAULT '1',
  `mock_id` INT NULL,
  `mock_date` DATE NOT NULL DEFAULT '0000-01-01',
  `mock_datetime` DATETIME(3) NOT NULL DEFAULT '0000-01-01 00:00:00',
  `decimal` DECIMAL(13,2) NOT NULL,
  `integer` INT NOT NULL,
  `integer_tiny` TINYINT NOT NULL,
  `integer_small` SMALLINT NOT NULL,
  `integer_big` BIGINT NOT NULL,
  `text` TEXT NOT NULL,
  `text_long` LONGTEXT NOT NULL,
  `varchar` VARCHAR(10) NOT NULL,
  PRIMARY KEY (`id`),
  FULLTEXT `mock_mock_nested_multiple_text_idx_fulltext` (`text`),
  FULLTEXT `mock_mock_nested_multiple_text_long_idx_fulltext` (`text_long`)
) ENGINE = InnoDB;

-- Create mock_nested_single table
CREATE TABLE `mock_nested_single` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `bool` TINYINT(1) NOT NULL DEFAULT '1',
  `mock_id` INT NULL,
  `mock_date` DATE NOT NULL DEFAULT '0000-01-01',
  `mock_datetime` DATETIME(3) NOT NULL DEFAULT '0000-01-01 00:00:00',
  `decimal` DECIMAL(13,2) NOT NULL,
  `integer` INT NOT NULL,
  `integer_tiny` TINYINT NOT NULL,
  `integer_small` SMALLINT NOT NULL,
  `integer_big` BIGINT NOT NULL,
  `text` TEXT NOT NULL,
  `text_long` LONGTEXT NOT NULL,
  `text_encrypted` TEXT NOT NULL,
  `varchar` VARCHAR(10) NOT NULL,
  `unique_field` VARCHAR(64) NOT NULL,
  PRIMARY KEY (`id`),
  FULLTEXT `mock_mock_nested_single_text_idx_fulltext` (`text`),
  FULLTEXT `mock_mock_nested_single_text_long_idx_fulltext` (`text_long`),
  FULLTEXT `mock_mock_nested_single_text_encrypted_idx_fulltext` (`text_encrypted`)
) ENGINE = InnoDB;

-- Create mock_nested_single_super_super_deep table
CREATE TABLE `mock_nested_single_super_super_deep` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `bool` TINYINT(1) NOT NULL DEFAULT '1',
  `mock_nested_single_id` INT NULL,
  PRIMARY KEY (`id`)
) ENGINE = InnoDB;
-- Add table to link 'mock' with 'mock_nested_linked'
CREATE TABLE `mock_to_mock_nested_linked_link` (
  `mock_id` INT NOT NULL,
  `mock_nested_linked_id` INT NOT NULL
) ENGINE = InnoDB;